Bug 71496 - a2ps can not handle UTF-8
a2ps can not handle UTF-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: i18n
: 113177 118036 253368 610257 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-14 08:07 EDT by Jan Moren
Modified: 2010-08-23 07:14 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 05:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Moren 2002-08-14 08:07:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
When handling text files using accented/language specific characters such as e,d
and v, a2ps will not correctly convert them (d becomes C$ for instance).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a text file 'test.txt' with the line "e, d and v are Swedish characters"
2. run 'a2ps test.txt'
3. The printed ps will not have the correct characters
	

Actual Results:  a2ps does not handle UTF-8 characters like e,d and v.

Expected Results:  I should get the correct characters

Additional info:
Comment 1 Tim Waugh 2002-08-14 08:14:24 EDT
a2ps doesn't handle UTF-8 at *all* yet.  It only works for non-accented 
characters by luck.
Comment 2 Aleksey Nogin 2002-09-20 13:19:08 EDT
This is not about accented characters only. Ideally, we'd want a2ps to support
-X utf-8 or similar and to be able to deal with arbitrary UTF-8 documents...
Comment 3 Tim Waugh 2004-01-09 06:48:46 EST
*** Bug 113177 has been marked as a duplicate of this bug. ***
Comment 4 Tim Waugh 2004-03-11 06:54:34 EST
*** Bug 118036 has been marked as a duplicate of this bug. ***
Comment 5 Nakai 2004-05-06 03:13:06 EDT
gnome-u2ps might make sense to help you.

http://mail.gnome.org/archives/gnome-announce-list/2004-May/msg00000.html
Comment 6 Tim Waugh 2004-05-06 04:05:54 EDT
Yes, definitely!  Thanks for pointing that out!
Comment 7 Gene Czarcinski 2004-05-06 09:12:17 EDT
The real problem is that a2ps is not under active maintenance
upstream.  Does Red Hat (or anyone else) plan to pick this up?  Maybe
this should be "advertised" to the "community" as something that needs
an active maintainer.  I have no idea if the original developer would
feel about this but there has been no active maintenance for at least
a couple of years and the only thing on the mailing list was SPAM
(before I unsubscribed).
Comment 8 Bill Nottingham 2006-08-05 00:40:05 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 9 Aleksey Nogin 2006-08-06 02:35:32 EDT
This still exists in FC3, and may be in later releases of FC as well.
Comment 10 Matthew Miller 2006-08-06 07:03:39 EDT
Aleksey -- FC3 is already under Fedora Legacy and is only getting updates for
security issues. I'm going to move this to devel, whre it can be closed if need be.
Comment 11 Tim Waugh 2006-08-07 05:36:22 EDT
The paps package can handle UTF-8 input, and will probably replace a2ps before long.
Comment 12 Tim Waugh 2007-09-25 13:11:27 EDT
*** Bug 253368 has been marked as a duplicate of this bug. ***
Comment 13 Tim Waugh 2010-08-23 07:14:05 EDT
*** Bug 610257 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.